<template>
  <div>
    <h1>VueJs Line LIFF Showcase</h1>
    <div >
      <div >
        <button @click="openWindow()">Open Window</button>
        <button @click="closeWindow()">Close Window</button>
        <button @click="sendMessage()">Send Message</button>
        <button @click="getProfiles()">Get Profile</button>
      </div>
    </div>
    <img src="{{profile.pictureUrl}}">
    <p><b>userId: {{ profile.userId || '-' }}</b> </p>
    <p><b>displayName: {{ profile.displayName || '-' }}</b> </p>
    <p><b>statusMessage: {{ profile.statusMessage || '-' }}</b> </p>
  </div>
</template>

<script>
export default {
  beforeCreate () {
    this.$liff.init({ liffId: this.liffId_dev }, function (data) {})
  },
  data: () => ({
    profile: {
      userId: '',
      displayName: '',
      pictureUrl: '',
      statusMessage: ''
    }
  }),
  methods: {
    getProfile () {
      let _this = this
      this.$liff.getProfile().then(function (profile) {
        _this.profile = profile
      }).catch(function (error) {
        alert('Error getting profile: ' + error)
      })
    },
    openWindow () {
      this.$liff.openWindow({
        url: 'https://developers.line.me/en/docs/liff/overview/'
      })
    },
    closeWindow () {
      this.$liff.closeWindow()
    },
    sendMessage () {
      let _this = this
      this.$liff.sendMessages([
        {
          type: 'text',
          text: 'You/\'ve successfully sent a message! Hooray!'
        },
        {
          type: 'sticker',
          packageId: '2',
          stickerId: '144'
        }
      ]).then(function () {
        _this.closeWindow()
        console.log('Message sent')
      }).catch(function (error) {
        console.log('Error sending message: ' + error)
      })
    }
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
h1, h2 {
  font-weight: normal;
}
ul {
  list-style-type: none;
  padding: 0;
}
li {
  display: inline-block;
  margin: 0 10px;
}
a {
  color: #42b983;
}
</style>
